Public Class TabStopSorter
    Public Sub New(ByVal StartControl As Control)
        Dim TmpListe As New List(Of Control)
        Dim I As Integer = 0
        For Each C As Control In StartControl.Controls
            TmpListe.Add(C)
        Next

        TmpListe.Sort(New ControlComparer)
        For Each C As Control In TmpListe
            C.TabIndex = I
            I += 1
            If C.Controls.Count > 0 Then
                Dim x As New TabStopSorter(C)
            End If
        Next

    End Sub
    Private Class ControlComparer
        Implements IComparer(Of Control)

        Public Function Compare(ByVal x As System.Windows.Forms.Control, ByVal y As System.Windows.Forms.Control) As Integer Implements System.Collections.Generic.IComparer(Of System.Windows.Forms.Control).Compare
            If x.Top <> y.Top Then
                Return x.Top.CompareTo(y.Top)
            Else
                Return x.Left.CompareTo(y.Left)
            End If
        End Function
    End Class
End Class
